### Name: nmfsc
### Title: Non-negative Sparse Matrix Factorization
### Aliases: nmfsc
### Keywords: methods cluster

### ** Examples


#---------------
# TEST
#---------------

dat <- make_fabi_data_blocks(n = 100,l= 50,p = 3,f1 = 5,f2 = 5,
  of1 = 5,of2 = 10,sd_noise = 3.0,sd_z_noise = 0.2,mean_z = 2.0,
  sd_z = 1.0,sd_l_noise = 0.2,mean_l = 3.0,sd_l = 1.0)

X <- dat[[1]]
Y <- dat[[2]]
X <- abs(X)
XX <- tcrossprod(X)
dXX <- 1/sqrt(diag(XX))
X <- dXX*X

resEx <- nmfsc(as.matrix(abs(X)),3,0.7,0.7)

## Not run: 
##D #---------------
##D # DEMO
##D #---------------
##D 
##D dat <- make_fabi_data_blocks(n = 1000,l= 100,p = 10,f1 = 5,f2 = 5,
##D   of1 = 5,of2 = 10,sd_noise = 3.0,sd_z_noise = 0.2,mean_z = 2.0,
##D   sd_z = 1.0,sd_l_noise = 0.2,mean_l = 3.0,sd_l = 1.0)
##D 
##D X <- dat[[1]]
##D Y <- dat[[2]]
##D X <- abs(X)
##D XX <- tcrossprod(X)
##D dXX <- 1/sqrt(diag(XX))
##D X <- dXX*X
##D 
##D resToy <- nmfsc(as.matrix(abs(X)),8,0.7,0.7)
##D 
##D rToy <- extract_plot(X,resToy$L,resToy$Z,ti="NMFSC",Y=Y)
##D 
## End(Not run)



